import { expect, type Locator, type Page } from '@playwright/test';
import { BasePage } from './BasePage';

export class MoldingQuestionsPage extends BasePage {
    readonly page: Page;
    issPageValue = 'molding-questions';
    readonly yesButton: Locator;

    constructor(page: Page) {
        super(page);
        this.page = page;
        this.yesButton = page.locator('label').filter({ hasText: 'Yes' }).locator('div');
    }

    async answerYes() {
        await this.yesButton.click();
    }
}